import { world } from "@minecraft/server";
import { fence_Manager } from './fence_Manager'

// Register the custom component during world initialization
world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('biomes_and_beyond:fence_place', {
        onPlace: e => {
            const block = e.block;
            block.setPermutation(block.permutation.withState('biomes_and_beyond:on_placed', true));
        },
    });
});

world.afterEvents.playerBreakBlock.subscribe((data) => {
    fence_Manager.updateFencesAround(data.block)
});
world.afterEvents.playerPlaceBlock.subscribe((data) => {
    fence_Manager.updateFencesAround(data.block)
});