import { world, EquipmentSlot, EntityEquippableComponent } from "@minecraft/server";

// Define block loot table mapping
const blockLootTables = {
    "biomes_and_beyond:aspen_leaves": '"blocks/aspen_leaves_sheared"',
    "biomes_and_beyond:redwood_leaves": '"blocks/redwood_leaves_sheared"',
    "biomes_and_beyond:autumn_leaves": '"blocks/autumn_leaves_sheared"',
    "biomes_and_beyond:jacaramda_leaves": '"blocks/jacaramda_leaves_sheared"',
    "biomes_and_beyond:maple_leaves": '"blocks/maple_leaves_sheared"',
    "biomes_and_beyond:maple_yellow_leaves": '"blocks/yellow_maple_leaves_sheared"',
    "biomes_and_beyond:baobab_leaves": '"blocks/baobab_leaves_sheared"',
    "biomes_and_beyond:fir_leaves": '"blocks/fir_leaves_sheared"',
    "biomes_and_beyond:forsaken_oak_leaves": '"blocks/forsaken_oak_leaves_sheared"',
    "biomes_and_beyond:chorus_leaves": '"blocks/chorus_leaves_sheared"',
    "biomes_and_beyond:chorus_leaves_popped": '"blocks/chorus_leaves_popped_sheared"'    
};

// Subscribe to the playerBreakBlock event
world.afterEvents.playerBreakBlock.subscribe(({ brokenBlockPermutation, player, block }) => {
    const blockTypeId = brokenBlockPermutation.type.id;

    // Get the main hand item
    const mainhand = player.getComponent(EntityEquippableComponent.componentId)?.getEquipmentSlot(EquipmentSlot.Mainhand);
    const heldItem = mainhand?.getItem();

    // Check if the player is holding shears and if the block has a loot table
    if (heldItem && heldItem.typeId === "minecraft:shears" && blockLootTables[blockTypeId]) {
        const lootTable = blockLootTables[blockTypeId];
        const blockLocation = block.location;

        // Execute the loot command to spawn items from the loot table at the block's location
        player.runCommand(`loot spawn ${blockLocation.x} ${blockLocation.y} ${blockLocation.z} loot ${lootTable}`);
    }
});
